import CoEuiButton from './eui-button.js';
import Component  from '../component.js'
import CoEuiIconSvg from './eui-icon-svg.js';

export default class CoEuiChipListAdditionalContent extends Component {
    constructor(parent) {
      let selector = 'div[contains(@class, "eui-chip-list__expand-button-wrapper")]';
      super(parent, selector);
      // https://citnet.tech.ec.europa.eu/CITnet/stash/projects/CSDR/repos/eui/browse/packages/components/eui-chip-list/eui-chip-list.component.html?at=master
    }
    get expandButtonCollapseCO() {
      return new CoEuiButton(this.currentPath).addPredicateClassContains('eui-chip-list__expand-button');
    }
    get expandButtonCollapseIconCO() {
      return new CoEuiIconSvg(this.expandButtonCollapseCO).addPredicateIconContains('chevron-back');
    }
    get expandButtonExpandIconCO() {
      return new CoEuiIconSvg(this.expandButtonCollapseCO).addPredicateIconContains("chevron-forward");
    }
}


